> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirms a voucher previously reserved.

> 
Confirms a voucher previously reserved.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.7/connector.json put /connectors/consumers/{consumer_id}/vouchers/{voucher_id}/confirmation
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.7
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/consumers/{consumer_id}/vouchers/{voucher_id}/confirmation:
    put:
      tags:
        - Voucher
      summary: Confirms a voucher previously reserved.
      description: |

        Confirms a voucher previously reserved.
      parameters:
        - description: The id you used to create the given consumer
          in: path
          name: consumer_id
          required: true
          schema:
            type: string
        - description: Unique ID of the voucher on PayLead.
          in: path
          name: voucher_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Voucher'
                type: array
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '415':
          description: Unsupported Media Type
        '422':
          description: Unprocessable Entity
components:
  schemas:
    Voucher:
      properties:
        brand:
          $ref: '#/components/schemas/Brand1'
        codes:
          description: List of codes to be used.
          items:
            $ref: '#/components/schemas/VoucherCode'
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        offer_id:
          description: Unique UUID of the offer
          example: 94b36765-a06c-4baf-a33c-40e43686a96a
          format: uuid
          readOnly: true
          type: string
        price:
          description: Price paid by the consumer
          readOnly: true
          type: number
        reservation_date:
          description: Date when the voucher has been reserved.
          format: date
          readOnly: true
          type: string
        reservation_expired_date:
          description: >-
            Date when the reservation expired. If this date is passed, the
            voucher is automatically cancelled.
          format: date
          readOnly: true
          type: string
        status:
          description: Current status of the voucher.
          enum:
            - RESERVED
            - CANCELLED
            - CONFIRMED
            - READY
            - REFUNDING
            - REFUNDED
            - REFUND_REJECTED
          maxLength: 15
          readOnly: true
        validity_date:
          description: >-
            voucher validity date, after this date the voucher is not valid
            anymore and can't be used.
          format: date
          readOnly: true
          type: string
        value:
          description: nominal value of the voucher
          readOnly: true
          type: number
      required:
        - offer_id
        - price
        - status
        - value
      type: object
    Brand1:
      properties:
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          description: Logo of the Brand
          readOnly: true
        name:
          description: Name of the object
          readOnly: true
          type: string
        reference:
          description: >-
            Unique reference of the offer. Human readable, made out from the
            concatenation of the brand name + creation date + increment.
          example: MYBRAND-20180220-001
          nullable: true
          readOnly: true
          type: string
      required:
        - name
      type: object
    VoucherCode:
      properties:
        activation_code:
          description: Optional PIN code that might be required to use the voucher
          nullable: true
          readOnly: true
          type: string
        code:
          description: Code to use in the merchant store
          nullable: true
          readOnly: true
          type: string
        validity_date:
          description: >-
            voucher validity date, after this date the voucher is not valid
            anymore and can't be used.
          format: date
          readOnly: true
          type: string
        value:
          description: Value attached to the given code
          readOnly: true
          type: number
      required:
        - value
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````